<html>
  <head>

  </head>
  <body>
    <style>
      #timer {
        display: flex;
        justify-content: space-around;
        width: 100%;
        background: red;
      }

      #timer div {
        color: black;
        height: 90px;
        line-height: 90px;
        font-weight: bold;
        font-size: 32px;
        width: 100%;
        text-align: center;
        position: relative;
      }

      #timer div:after {
        content: ':';
        position: absolute;
        right: 0;
      }

      #timer div:last-child:after {
        content: ''
      }

      @media (max-width: 425px) {
        #timer div {
          font-size: 26px;
        }
      }
    </style>
    <div id="timer">
        <div id="days"></div>
        <div id="hours"></div>
        <div id="minutes"></div>
        <div id="seconds"></div>
    </div>

    <script>
      var dayTime = 24 * 60 * 60 * 1000;
      var distanceTillEnd = dayTime * 1;

      function initClock() {
        var hash = btoa(document.location.href);
        var timerStart = Number(window.localStorage.getItem(hash));

        if (!timerStart) {
          window.localStorage.setItem(hash, new Date().getTime());

          timerStart = new Date().getTime();
        }

        var timeEnd = timerStart + distanceTillEnd;

        startClock(timerStart, timeEnd);
      }

      function startClock(startTime, countDownDate) {
        var interval = setInterval(function() {
          var now = new Date().getTime();
          var distance = countDownDate - now;

          var days = Math.floor(distance / (1000 * 60 * 60 * 24));
          var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
          var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
          var seconds = Math.floor((distance % (1000 * 60)) / 1000);

          var daysContainer = document.getElementById('days');
          var hoursContainer = document.getElementById('hours');
          var minutesContainer = document.getElementById('minutes');
          var secondsContainer = document.getElementById('seconds');

          daysContainer.innerHTML = `${days} D`;
          hoursContainer.innerHTML = `${hours} H`;
          minutesContainer.innerHTML = `${minutes} m`;
          secondsContainer.innerHTML = `${seconds} s`;

          if (distance < 0) {
            clearInterval(interval);
            document.getElementById("timer").innerHTML = "ESSA PROMOÇÃO ACABOU";
          }
        }, 1000);
      }

      initClock();
    </script>
  </body>
</html>
